
Redmine - Defect #7615

CVS diffs do not handle new files properly

2011-02-12 20:39 - Jim Naslund

Status: Closed Start date: 2011-02-12

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

The CVS adapter does not diff new files properly. I've attached a screenshot where the README file is new, but the diff is showing

changes from a later revision.

The source of the problem is the base revision used. For example "cvs -d

'/cygdrive/c/workspace/redmine/trunk/tmp/test/cvs_repository' rdiff -u -r1 -r1.1 'test/README'" will produce the wrong diff because -r1

is interpreted as a tag. Using -r1.0 is one way to fix the problem.

I've attached a patch that fixes the problem. There was also some code that preventing one line diffs from being shown ...  I took it

out because it works in this situation, but it may be there for good reason.

By the way, my CVS version is 1.12.13.

Related issues:

Related to Redmine - Defect #7618: SCM diffs do not handle one line new files... Closed 2011-02-14

Associated revisions

Revision 4939 - 2011-02-24 05:03 - Toshi MARUYAMA

scm: cvs: fix CVS diffs do not handle new files properly (#7615).

Contributed by Jim Naslund.

History

#1 - 2011-02-12 20:40 - Jim Naslund

- File revision-diff-before.png added

#2 - 2011-02-12 23:44 - Toshi MARUYAMA

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#3 - 2011-02-14 02:39 - Toshi MARUYAMA

I create new issue #7618 as SCM common issue.

#4 - 2011-02-24 05:46 - Toshi MARUYAMA

- Status changed from 7 to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed by r4939. Thanks.
